import { stream } from "hono/streaming";
function createStreamResponse(c) {
  return stream(c, async (s) => {
    while (true) {
      s.write("data: ping\n");
      await new Promise((resolve) => setTimeout(resolve, 1e3));
    }
  });
}
export {
  createStreamResponse
};
//# sourceMappingURL=createStreamResponse.js.map
