import type { Context } from 'hono';
/**
 * Collect all the data from a request
 */
export declare function getRequestData(c: Context): Promise<{
    cookies: import("hono/utils/cookie").Cookie;
    query: Record<string, string | string[] | undefined>;
    body: any;
    method: string;
    path: string;
    headers: {
        [k: string]: string;
    };
}>;
//# sourceMappingURL=getRequestData.d.ts.map